<?php

namespace App\Modules\Group\Application\ValidatePassengers;

use App\Modules\Group\Domain\GroupRepository;
use App\Modules\Group\Domain\IdGroup;

class GroupPassengersValidator
{
    public function __construct(
        private GroupRepository $repository
    ) {
    }

    public function __invoke(IdGroup $idGroup)
    {
        $this->repository->passengerValidation($idGroup);
    }
}
